<?php
/*
* 2010-2020 Sellermania / Froggy Commerce / 23Prod SARL
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to team@froggy-commerce.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade your module to newer
* versions in the future.
*
*  @author         Froggy Commerce <team@froggy-commerce.com>
*  @copyright      2010-2020 Sellermania / Froggy Commerce / 23Prod SARL
*  @version        1.0
*  @license        http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*/

/**
 * Backward function compatibility
 * Need to be called for each module in 1.4
 */

// Get out if the context is already defined
if (!in_array('Context', get_declared_classes()))
    require_once(dirname(__FILE__).'/Context.php');
else
{
    if (!in_array('ShopBackwardModuleUpdated', get_declared_classes()))
    {
        require_once(dirname(__FILE__).'/ContextUpdated.php');
        $context = Context::getContext();
        $context->shop = new ShopBackwardModuleUpdated();
    }
}

// Get out if the Display (BWDisplay to avoid any conflict)) is already defined
if (!in_array('BWDisplay', get_declared_classes()))
    require_once(dirname(__FILE__).'/Display.php');

// If not under an object we don't have to set the context
if (!isset($this))
    return;
else if (isset($this->context))
{
    // If we are under an 1.5 version and backoffice, we have to set some backward variable
    if (_PS_VERSION_ >= '1.5' && isset($this->context->employee->id) && $this->context->employee->id)
    {
        global $currentIndex;
        $currentIndex = AdminController::$currentIndex;
    }
    return;
}

$this->context = Context::getContext();
$this->smarty = $this->context->smarty;
